Bug 71154 - Above 16GB of ram hard crashes server
Above 16GB of ram hard crashes server
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-08-09 09:09 EDT by Vinny
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-09 11:51:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vinny 2002-08-09 09:09:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; H010818)

Description of problem:
System hangs (99% kswapd usage) and eventually locks up when doing file copies 
and ftp transfers using the latest 2.4.9-e.5.enterprise kernel and 32 GB of 
ram.  The system is an Intel based Dell 8450 poweredge server, with 4 550Mhz 
procs.  Tests were done with 32 GB and only 4 processors, and the system 
behaves aberrantly when running 2.1 AS doing "normal" functions such as 
directory to directory copy of large files.  The system will hard lock, and no 
keyboard or mouse movement is available.  When dropped down to 16GB, the system 
runs great.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install 32GB of ram
2. Perform file copies between 500MB and 2GB
3. Watch server lock
4. Drop down to 16GB
5. Server runs great

Actual Results:  System locks 100% of the time with 32GB of ram.  After 
disabling all swap space on the system, the system was only hung, and the 
server was able to reboot from the console using CTL-ALT-DEL.

Expected Results:  System should run with up to 64GB according to this RedHat 
press release:


Additional info:

RedHat support has been initiated, here is the response and case #:

Service Request 210705 has been Updated

Incident Number: 210705
Red Hat Tech:    Consumer Web Support

Your Red Hat product:

Red Hat Linux Advanced Server Version 2.1- Standard

Summary of your problem:

kswapd locks up system during FTP

Description of your problem:

<removed, same as outline above>

Our latest response:


I apologize if Dell has somehow mislead you as to the memory capabilities of 
AS2.1. We have never publical stated that that much memory is supported. In 
fact in our own testing we do not support configurations above 16GB. In some 
situations you can use 32GB, but as you have found out, that wont always work.
And as for 64 GB, that is the theoretical limit for IA32 and 2.4 kernel, but 
Red Hat Linux (any version) will not even boot with that. There really isn't 
anything we can do other than suggest that you use 16 GB. If [D]ell has sold 
you something more with the promise that AS2.1 will deliver that, then there 
has been some sort of miscommunication and they are mistaken.

Status: Waiting on Customer

After a little digging, I came across this article, in which Alan Cox responds 
to a similar problem, on similar Intel server hardware:


We are just looking for some confirmation that this is a bug, or limitation of 
ReHat.  Thank you.
Comment 1 Arjan van de Ven 2002-12-05 12:34:21 EST
16Gb is the maximum memory that is generally useful.
upto 32Gb can work in certain limited workloads (webserving for example) but not
for things like Oracle. This is not a bug but a known and published limitation:


Note You need to log in before you can comment on or make changes to this bug.